Page MenuHomePhabricator

Get rid of unnecessary jQuery.html call in ve.dm.MWReferenceNode.static.toDomElements
Closed, ResolvedPublic1 Estimated Story Points

Description

Suggested by Paul Irish.

Event Timeline

ori created this task.Jan 23 2015, 7:33 AM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a project: VisualEditor-Performance.
ori added subscribers: ori, Krinkle, Catrope.
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 23 2015, 7:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ori renamed this task from Get rid of unnecessary jQuery.html call in ve.dm.InternalList.convertToData to Get rid of unnecessary jQuery.html call in ve.dm.InternalList.convertToData and ve.dm.MWReferenceNode.static.toDomElements.Jan 23 2015, 7:40 AM
ori set Security to None.
Jdforrester-WMF triaged this task as Medium priority.Jan 23 2015, 9:56 PM
Jdforrester-WMF moved this task from To Triage to Bug Fixes on the VisualEditor board.

The InternalList portion of this is a duplicate of T87418

Catrope renamed this task from Get rid of unnecessary jQuery.html call in ve.dm.InternalList.convertToData and ve.dm.MWReferenceNode.static.toDomElements to Get rid of unnecessary jQuery.html call in ve.dm.MWReferenceNode.static.toDomElements.Jan 26 2015, 10:00 PM
gerritbot added a subscriber: gerritbot.

Change 186887 had a related patch set uploaded (by Catrope):
Use DOM methods instead of jQuery .html() in references DM code

https://gerrit.wikimedia.org/r/186887

Patch-For-Review

Catrope moved this task from Bug Fixes to Blocked on the VisualEditor board.Jan 26 2015, 10:09 PM
Catrope moved this task from Next up to Doing on the VisualEditor-Performance board.
Krenair assigned this task to Catrope.Jan 28 2015, 6:57 AM
Krenair added a subscriber: Krenair.
Catrope moved this task from Doing to Done on the VisualEditor-Performance board.Jan 28 2015, 6:51 PM

Change 186887 merged by jenkins-bot:
Use DOM methods instead of jQuery .html() in references DM code

https://gerrit.wikimedia.org/r/186887

Krenair closed this task as Resolved.Jan 29 2015, 11:07 PM

That was merged

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:10 PM